loci.formats.in

## Class FlexReader.FlexHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.FlexReader.FlexHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    FlexReader

      public class FlexReader.FlexHandler
      extends loci.common.xml.BaseHandler

  SAX handler for parsing XML.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.StringBuilder` | `charData`
    `private java.util.List<java.lang.String>` | `factors`
    `private java.lang.String` | `filterSet`
    `private MetadataLevel` | `level`
    `private java.lang.String` | `lightSourceID`
    `private java.util.List<java.lang.String>` | `names`
    `private int` | `nextCamera`
    `private int` | `nextDichroic`
    `private int` | `nextFilter`
    `private int` | `nextFilterSet`
    `private int` | `nextImage`
    `private int` | `nextLaser`
    `private int` | `nextObjective`
    `private int` | `nextPlate`
    `private int` | `nextSliderRef`
    `private java.lang.String` | `parentQName`
    `private boolean` | `populateCore`
    `private java.lang.String` | `sliderName`
    `private MetadataStore` | `store`
    `private int` | `thisField`
    `private int` | `well`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlexHandler(java.util.List<java.lang.String> names, java.util.List<java.lang.String> factors, MetadataStore store, boolean populateCore, int well, int thisField)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### names

          private final java.util.List<java.lang.String> names

    - #### factors

          private final java.util.List<java.lang.String> factors

    - #### store

          private MetadataStore store

    - #### thisField

          private int thisField

    - #### nextLaser

          private int nextLaser

    - #### nextCamera

          private int nextCamera

    - #### nextObjective

          private int nextObjective

    - #### nextImage

          private int nextImage

    - #### nextPlate

          private int nextPlate

    - #### parentQName

          private java.lang.String parentQName

    - #### lightSourceID

          private java.lang.String lightSourceID

    - #### sliderName

          private java.lang.String sliderName

    - #### nextFilter

          private int nextFilter

    - #### nextDichroic

          private int nextDichroic

    - #### nextFilterSet

          private int nextFilterSet

    - #### nextSliderRef

          private int nextSliderRef

    - #### populateCore

          private boolean populateCore

    - #### well

          private int well

    - #### level

          private MetadataLevel level

    - #### filterSet

          private java.lang.String filterSet

    - #### charData

          private final java.lang.StringBuilder charData

  - ### Constructor Detail

    - #### FlexHandler

          public FlexHandler(java.util.List<java.lang.String> names,
                             java.util.List<java.lang.String> factors,
                             MetadataStore store,
                             boolean populateCore,
                             int well,
                             int thisField)

  - ### Method Detail

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

Copyright © 2026 Open Microscopy Environment